# 使用 CMake 完成项目编译

使用 CMake 编译项目一般有两个步骤：生成用于编译项目 Makefile 和编译连接项目源文件。要完成这两个步骤只需要在项目目录中执行以下两条命令即可。

```bash
# 用当前目录中的内容建立Makefile，设定源文件目录为src，Makefile输出目录为build
$ cmake . -S src -B build
# 用build目录中的Makefile编译项目，并详细输出命令，在编译前要清理目标目录
$ cmake --build build -verbose --clean-first
```
