# 枚举

枚举是 C++中一种派生类型，由用户定义的若干枚举常量集合而成。枚举是将变量可能的值一一列出，枚举类型变量的值只能从列举出的值中选择。枚举使用关键字`enum`定义，格式如下：

```c++
enum 枚举类型名 {
    常量标识符=整型常数,
    常量标识符=整型常数,
    ...
    常量标识符=整型常数
} 枚举变量;
```

枚举类型定义时的整形常数是可以省略掉的，当省略整型常数时，从第一个常量标识符开始依次由 0 开始递增赋值，但如果中间有常量标识符被赋予了其他的不冲突的值，那么其后的常量标识符将会重新开始递增。例如：`enum {red, green=5, blue} color;`中`red`的整型值就是 0，而`blue`的整型值则是 6。
