# 标准库

```admonish tip
这里只列出标准库所支持的功能内容，具体标准库中各种功能是使用，可参考标准库的文档。
```

C++标准库可以分为两部分：标准函数库和面向对象库。

标准函数库是由通用、独立、不属于任何类的函数组成的，继承自 C 语言。其中包含了以下内容：

- I/O;
- 字符串和字符处理；
- 数学功能；
- 时间、日期和本地化；
- 动态分配；
- 其他函数；
- 宽字符函数。

面向对象库定义了大量支持常见操作的类，主要包含以下内容：

- 标准 C++ I/O 类；
- String 类；
- 数值类；
- STL 容器类；
- STL 算法；
- STL 函数对象；
- STL 迭代器；
- STL 分配器；
- 本地化库；
- 异常处理类；
- 杂项支持库。
