# 条目规则

makefile 由多条条目组成，每个条目都遵循以下规则：

```makefile
编译目标(target): 生成目标所需的文件或者目标(prerequisites)
    需要make执行的shell命令(command)
```

其中编译目标可以是.o 文件、可执行文件或者是标签。

如果 prerequisites 中的文件比 target 新，那么 command 将会执行。

如果 target 使用标签的话，那么冒号后不能有任何内容。
