# C++14 新特性

## 泛型 Lambda 表达式

Lambda 表达式的形参现在可以使用`auto`声明其类型了。例如：

```c++
auto lambda_expr = [](auto x, auto y) { return x + y; };
```

## 变量模板

对于用途相似但类型不同的变量，C++14 中可以使用变量模板来定义。格式为

```c++
template <typename T>
T variable_name;
```

变量模板可以在使用时赋予不同的值，例如`var<int> = 7`，或者`var<char> = 'a'`。变量模板一般定义在全局，用来声明全局变量。
