# 引用

引用是一个很容易跟指针混淆的概念，在使用上也非常容易混淆。引用变量是另一个被引用变量的别名。引用与指针之间有以下三个明显不同：

1. 存在空指针，但是不存在空引用，引用必须连接到一块合法的内存区域。
1. 引用一旦初始化，就不可再更改其指向的对象，但指针可以随时更改。
1. 引用必须在声明时初始化，指针则没有此项约束。

引用使用以下格式声明和初始化：`类型名称& 引用变量=被引用变量;`。引用变量是被引用变量所在内存区域的另一个标签，这部分内存区域既可以通过原始变量访问，也可以通过引用变量访问。

```admonish caution
要注意引用与指针中取变量地址的操作是不同的，虽然它们使用同一个操作符。
```
